List Jobs – Media API – MediaKind
List Jobs
Get https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name/jobs
Retrieves a list of Jobs for a Transform.
RBAC Capability Required: ams.job.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name
stringRequired - transform_name
stringRequired
Query parameters
- $orderby
stringOptional
Specifies the key by which the result collection should be ordered. - $filter
stringOptional
Restricts the set of items returned. - $top
stringOptional
Specifies a non-negative integernthat limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified valuen. - $skiptoken
stringOptional
Specifies a start offset to support paginated results. Use@odata.nextLinkin the result object to enumerate the collection - it will be present only if there's more than one page of entities.
Response
200 A list of jobs
- @odata.nextLink
stringOptional@odata.nextLinkURL if the page length and number of items match. - supplemental
objectListResponseSupplementalSchema Required
Supplemental info- count
integerRequired
Number of items returned - kind
stringRequired
Type of items in the list - operation
stringRequired
Operation type. Should always say 'list' - pagination
objectPaginationInfoSchema Required
Pagination info- end
integerRequired
Position of the last item in the list - records
integerRequired
Total number of items returned in the list - start
integerRequired
Position of the first item in the list - total
integerRequired
Total number of items in the project
- end
- subscription
objectProjectInfoSchema Optional
Project info- id
stringRequired
Project ID - name
stringRequired
Project name
- id
- value
list of objectsJobSchema Required
A list of Jobs- id
stringOptional
Fully qualified resource ID for the resource. Ex - "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" - name
stringOptional (1-260 characters, pattern: ^[^'<>%&:?/*+]+$)
The name of the resource - properties
objectJobProperties Required
Properties of the job- correlationData
map from strings to anyOptional
Customer provided key, value pairs that will be returned in Job and JobOutput state events. - created
stringOptional (format: date-time)
The creation date and time of the Job. Set by the system. - description
string or nullOptional (<=1024 characters)
The description of the Job. - endTime
string or nullOptional
The UTC date and time at which this Job finished processing - input
objectRequired
The inputs of the Job.- Discriminated by
@odata.type. Select one variant:- #Microsoft.Media.JobInputAsset
objectJobInputAsset- @odata.type
stringRequired
The discriminator for derived types. - assetName
stringRequired
The name of the input Asset - end
objectOptional
Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.
- @odata.type
- #Microsoft.Media.AbsoluteClipTime
objectAbsoluteClipTime- @odata.type
stringRequired
The discriminator for derived types. - time
stringOptional (pattern: ^P(?:(?P\d+)Y)?(?:(?P \d+)M)?(?:(?P \d+)W)?(?:(?P \d+)D)?T(?:(?P \d+)H)?(?:(?P \d+)M)?(?:(?P (?:\d*.)?\d+)S)?$)
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
- @odata.type
- #Microsoft.Media.UtcClipTime
objectUtcClipTime- @odata.type
stringRequired
The discriminator for derived types. - time
stringOptional (format: date-time)
The time position on the timeline of the input media based on UTC time.
- @odata.type
- #Microsoft.Media.JobInputAsset
- Discriminated by
- trigger
objectScteTrigger Optional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal. - filters
list of list of mapsOptional
Outer array is OR-combined; each inner array is AND-combined field matchers. - searchRange
objectScteTriggerSearchRange Optional
Bounds the signal search to[anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end).
- correlationData
- id
- count
Errors
400 Bad Request
- error
objectErrorDetail Required
Pertinent information about the error- code
stringRequired
The error code. - detail
stringRequired
The error message. - extraDetail
map from strings to anyOptional
Extra information regarding this error. - ref
stringRequired
A reference to the request that caused the error. - status
integerRequired
The HTTP status code.
- code